# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::Dae::Input Struct Reference

COLLADA input stream. More...

`#include <DaeHelpers.hpp>`

Inheritance diagram for vl::Dae::Input:

List of all members.

## Public Member Functions

| Input ()

## Public Attributes

ref< Dae::Source > | mSource
Dae::EInputSemantic | mSemantic
size_t | mOffset
size_t | mSet

## Detailed Description

COLLADA input stream.

Definition at line 241 of file DaeHelpers.hpp.

## Constructor & Destructor Documentation

vl::Dae::Input::Input | ( | ) | `[inline]`

Definition at line 243 of file DaeHelpers.hpp.

References vl::Dae::IS_UNKNOWN, mOffset, mSemantic, and mSet.

## Member Data Documentation

ref<Dae::Source> vl::Dae::Input::mSource

Definition at line 250 of file DaeHelpers.hpp.

Dae::EInputSemantic vl::Dae::Input::mSemantic

Definition at line 251 of file DaeHelpers.hpp.

Referenced by Input().

size_t vl::Dae::Input::mOffset

Definition at line 252 of file DaeHelpers.hpp.

Referenced by Input().

size_t vl::Dae::Input::mSet

Definition at line 253 of file DaeHelpers.hpp.

Referenced by Input().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/COLLADA/DaeHelpers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:45:00.
Permission is granted to use this page to write and publish articles regarding Visualization Library.